package cn.com.poc.equity.query;	

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;
import cn.com.yict.framemax.data.model.BaseItemClass;

/**
 * Query Item class for QueryEquityTransactionHistoryQuery
 */
@Entity
public class QueryEquityTransactionHistoryQueryItem extends BaseItemClass implements Serializable{

    private static final long serialVersionUID = 1L;
    
    /** id
    *id
    */ 
    private java.lang.Long id;
    
    @Column(name = "id")
    public java.lang.Long getId(){
        return this.id;
    }
    
    public void setId(java.lang.Long id){
        this.id = id;
    }
    
    /** transaction_sn
    *transaction_sn
    */ 
    private java.lang.String transactionSn;
    
    @Column(name = "transaction_sn")
    public java.lang.String getTransactionSn(){
        return this.transactionSn;
    }
    
    public void setTransactionSn(java.lang.String transactionSn){
        this.transactionSn = transactionSn;
    }
    
    /** member_id
    *member_id
    */ 
    private java.lang.Long memberId;
    
    @Column(name = "member_id")
    public java.lang.Long getMemberId(){
        return this.memberId;
    }
    
    public void setMemberId(java.lang.Long memberId){
        this.memberId = memberId;
    }
    
    /** original_equity_level
    *original_equity_level
    */ 
    private java.lang.String originalEquityLevel;
    
    @Column(name = "original_equity_level")
    public java.lang.String getOriginalEquityLevel(){
        return this.originalEquityLevel;
    }
    
    public void setOriginalEquityLevel(java.lang.String originalEquityLevel){
        this.originalEquityLevel = originalEquityLevel;
    }
    
    /** modify_equity_level
    *modify_equity_level
    */ 
    private java.lang.String modifyEquityLevel;
    
    @Column(name = "modify_equity_level")
    public java.lang.String getModifyEquityLevel(){
        return this.modifyEquityLevel;
    }
    
    public void setModifyEquityLevel(java.lang.String modifyEquityLevel){
        this.modifyEquityLevel = modifyEquityLevel;
    }
    
    /** modify_event
    *modify_event
    */ 
    private java.lang.String modifyEvent;
    
    @Column(name = "modify_event")
    public java.lang.String getModifyEvent(){
        return this.modifyEvent;
    }
    
    public void setModifyEvent(java.lang.String modifyEvent){
        this.modifyEvent = modifyEvent;
    }
    
    /** modify_event_info
    *modify_event_info
    */ 
    private java.lang.String modifyEventInfo;
    
    @Column(name = "modify_event_info")
    public java.lang.String getModifyEventInfo(){
        return this.modifyEventInfo;
    }
    
    public void setModifyEventInfo(java.lang.String modifyEventInfo){
        this.modifyEventInfo = modifyEventInfo;
    }
    
    /** target_equity_id
    *target_equity_id
    */ 
    private java.lang.Long targetEquityId;
    
    @Column(name = "target_equity_id")
    public java.lang.Long getTargetEquityId(){
        return this.targetEquityId;
    }
    
    public void setTargetEquityId(java.lang.Long targetEquityId){
        this.targetEquityId = targetEquityId;
    }
    
} 